# CreateSnapshot

## 1. 接口描述

本接口(CreateSnapshot)用于对指定云盘创建快照。

{% hint style="info" %}
**注意事项**

* 云盘是否支持创建快照可根据`SnapshotAbility`字段判断。该值可通过[`DescribeDisks`](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk/describedisks)接口查询。
* 云盘必须处于**使用中**或**待挂载**状态。
* 可创建快照数量限制见产品使用限制。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型     | 描述                                                                                          |
| ------------- | -- | ------ | ------------------------------------------------------------------------------------------- |
| diskId        | 是  | String | 云硬盘ID。                                                                                      |
| snapshotName  | 是  | String | 快照名称。                                                                                       |
| retentionTime | 否  | String | <p>保留的到期时间。</p><p>格式为：yyyy-MM-ddTHH:mm:ssZ。</p><p>如果不传，则代表永久保留。</p><p>指定时间必须在当前时间24小时后。</p> |

## 3. 响应结果

| 参数名称       | 类型     | 描述                                                       |
| ---------- | ------ | -------------------------------------------------------- |
| requestId  | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| snapshotId | String | 创建的快照ID。                                                 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 云盘创建快照。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateSnapshot
<Common Request Params>

Request：
{
  "diskId": "diskId1",
  "snapshotName": "xxx",
  "retentionTime": "2025-07-16T01:26:39Z"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "snapshotId": "snapshotId1"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                  | 说明                       |
| ------- | ------------------------------------ | ------------------------ |
| 404     | INVALID\_DISK\_NOT\_FOUND            | 云盘不存在。                   |
| 400     | INVALID\_SNAPSHOT\_QUOTA\_EXCEED     | 快照超过数量限制。                |
| 400     | INVALID\_SNAPSHOT\_RETENTION\_TIME   | 快照保留时间不合法， 必须晚于当前时间24小时。 |
| 400     | UNSUPPORTED\_OPERATION\_DISK\_STATUS | 云盘状态不允许操作。               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/disk-snapshot/createsnapshot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
